## pidgin 2.6.6-1nix0

=== finch/libgnt/test/Makefile ===
CC=gcc
CFLAGS=`pkg-config --cflags gobject-2.0 gmodule-2.0` -g -I../ -DSTANDALONE -I/usr/include/ncursesw/
LDFLAGS=`pkg-config --libs gobject-2.0 gmodule-2.0 gnt` -pg

EXAMPLES=combo focus tv multiwin keys menu parse

all:
	make examples

clean:
	rm -f $(EXAMPLES) *.so wm

WM: wm
	for i in $(EXAMPLES); do gcc -shared $(CFLAGS) -USTANDALONE $(LDFLAGS) $${i}.c -o $${i}.so ; done

examples: $(EXAMPLES)

## pidgin 2.3.0-0nix0

=== debian/changelog ===
pidgin (2.3.0-0nix0) unstable; urgency=low

  * Moved up to 2.3.0
  * Forgot to merge pounce dialog scrollability
  * Make menu entry l10n work on Chinook and Bora
  * Track debianizations via mtn and remove tarball
  * Start separating out libpurple for future haze coexistence
  * Add AIM/ICQ and XMPP to libpurple package
  * Make Bonjour support work in Chinook using RTComm's avahi build

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 10 Nov 2007 23:24:25 +0200

pidgin (2.2.2-0nix0) unstable; urgency=low

  * Moved source up to 2.2.2
  * Bundled prpls that don't have library dependencies with Pidgin itself
  * Improved scrolling hack
  * Replaced GtkSpinButton with HildonNumberEditor for integer gtkprefs
  * Remove send button when a physical keyboard appears (by listening to GConf keys)
  * Enable docklet when using hildon-1 (looks ugly, but it should soon be fixed)
  * Distribute /etc/purple/prefs.xml containing prefs that differ from upstream defaults
  * Different builds for bora and for Chinook
  * Added typing notification icon to the new per-IM info pane

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 28 Oct 2007 13:40:00 +0200

pidgin (2.1.0-2nix0) unstable; urgency=low

  * Don't bring up convo when rocker-clicking on expanded contact

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu,  2 Aug 2007 21:46:58 +0300

pidgin (2.1.0-1nix0) unstable; urgency=low

  * Bonjour support (requires yet another repo)
  * Rocker-click buddy to start conversation
  * Annoying group-header-click bounciness fixed

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu,  2 Aug 2007 01:17:03 +0300

pidgin (2.1.0-0nix0) unstable; urgency=low

  * Added proper dependencies to all packages containing binaries
  * Added sametime package (relying on MH's libmeanwhile distro)
  * Non-smeared buddy list scrolling via
    gdk_window_process_updates@adjustment-value-changed
  * Moved code base to 2.1.0

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 30 Jul 2007 19:29:42 +0300

pidgin (2.0.0-1nix1) unstable; urgency=low

  * Properly packaged protocol plugins
  * Removed reference to .la files from .install files

 -- Gabriel Schulhof <nix@go-nix.ca>  Tue,  8 May 2007 00:11:10 +0300

pidgin (2.0.0-1nix0) unstable; urgency=low

  * Moved to pidgin-2.0.0
  * Added "Really quit Pidgin ?" dialog to buddy list delete-event
  * Use Pidgin dialogs for aliasing rather than from-scratch one
  * Added "Add" button to smiley theme prefs page
  * Added /home/user/MyDocs/* as shortcut directories to GtkFileChooser
  * Building under gregale works for both N770 and N800 => 1 distro

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 25 Apr 2007 21:36:44 +0300

gaim (2.0.0-0nix23) unstable; urgency=low

  * Fixed minor issue with initial left tab arrow in preferences
  * Compile with D-Bus support and disallow multi-instance
  * Fixed up new/edit status window
  * Bring existing convo window forward when double-clicking buddy
  * Make send button appear only in convo window
  * Use connectivity framework
  * Re-added g_slice stuff - no hangage (it was due to sound, not g_slice)
  * Turn account and protocol option menus into combo boxes
  * When double-clicking on a contact while its conversation window is
    already open, bring the conversation window to the front

 -- Gabriel Schulhof <nix@go-nix.ca>  Tue, 10 Apr 2007 23:01:02 +0300

gaim (2.0.0-0nix22) unstable; urgency=low

  * Using simplified .desktop file to keep D-Bus launch working

 -- Gabriel Schulhof <nix@go-nix.ca>  Fri,  6 Apr 2007 02:02:51 +0300

gaim (2.0.0-0nix21) unstable; urgency=low

  * Removing dbus stuff for N800 :o(

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed,  4 Apr 2007 10:08:41 +0300

gaim (2.0.0-0nix20) unstable; urgency=low

  * Made it work on N770
  * Made launch-via-D-Bus work on both
  * Reduced impact on configure.ac of creating gaim.desktop and gaim.service
    by moving their "hildonization" to debian/rules post-make processing

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed,  4 Apr 2007 01:46:47 +0300

gaim (2.0.0-0nix19) unstable; urgency=low

  * Fullscreen-able conversation and buddy list
  * Removed systray pref UI - pref forced to "never"
  * Do not try to play a sound while another sound is playing
  * Close button on debug window and tap-and-hold toolbar right-click menu
  * Added new browser choice: "OSSO" uses OSSO browser's D-Bus interface

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 31 Mar 2007 13:34:47 +0300

gaim (2.0.0-0nix18) unstable; urgency=low

  * Building with noopt,nostrip

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu, 29 Mar 2007 23:36:18 +0300

gaim (2.0.0-0nix17) unstable; urgency=low

  * Trying to blaim hangage on gslice allocator, by re-introducing
    the interal.h macros which re-define it as g_new - sure, the
    compiler may complain, but if it works, *shrug*

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu, 29 Mar 2007 01:14:36 +0300

gaim (2.0.0-0nix16) unstable; urgency=low

  * Replaced GtkCellRendererToggle kludge with
    "allow-checkbox-mode" = FALSE for all tree views containing
    GtkCellRendererToggle
  * Maemo launcher support

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Mar 2007 21:14:25 +0300

gaim (2.0.0-0nix15) unstable; urgency=low

  * Converted preferences option menus to combo boxes
  * Removed "quit" from buddy list "delete-event" - ignored instead

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Mar 2007 01:59:28 +0300

gaim (2.0.0-0nix14) unstable; urgency=low

  * Conversation window input improvements
  * More scrolled windows (pounce, plugin preferences)

 -- Gabriel Schulhof <nix@go-nix.ca>  Tue, 27 Mar 2007 01:11:29 +0300

gaim (2.0.0-0nix13) unstable; urgency=low

  * Placed plugin preferences widgets into an appropriately sized
    GtkScrolledWindow
  * Added "Send" button to editable IMHTML widgets

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 26 Mar 2007 13:52:42 +0300

gaim (2.0.0-0nix12) unstable; urgency=low

  * Plugin details in plugin list is now in a scrolled window



=== debian/control ===
Source: pidgin
Section: user/communication
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-compat-howl-dev, sharutils
Standards-Version: 3.6.0

Package: pidgin
Section: user/instantmessaging
Architecture: any
Depends: ${shlibs:Depends}, maemo-launcher, maemo-select-menu-location
Description: Pidgin Internet Messenger for Maemo-based Internet Tablet
XB-Maemo-Display-Name: Pidgin Internet Messenger

Package: pidgin-dev
Section: devel
Architecture: any
Depends: pidgin (>= ${Source-Version}), pkg-config, libpurple-dev, libgtk2.0-dev, hildon-libs-dev | libhildon1-dev
Suggests: doc-base
Description: Pidgin Plugin Development Files

Package: pidgin-dbg
Section: devel
Architecture: any
Depends: pidgin (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Pidgin

Package: libpurple0
Section: net
Architecture: any
Depends: ${shlibs:Depends}, libnspr4, libnss3
Recommends: ca-certificates
Replaces: pidgin-protocol-aim-icq, pidgin-protocol-xmpp, pidgin (<= 2.2.2-0nix0)
Suggests: ${shlibs:Suggests}
Description: multi-protocol instant messaging library

Package: libpurple-dev
Section: libdevel
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), pkg-config, libglib2.0-dev, libdbus-glib-1-dev
Replaces: pidgin-dev (<= 2.2.2-0nix0)
Conflicts: pidgin-dev (<= 2.2.2-0nix0)
Description: multi-protocol instant messaging library - development files

Package: libpurple0-dbg
Section: libdevel
Architecture: any
Depends: libpurple0 (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for libpurple

Package: purple-protocol-sametime
Replaces: pidgin-protocol-sametime
Section: user/instantmessaging
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
XB-Maemo-Display-Name: Sametime Support
Description: Pidgin and Telepathy Sametime Support

Package: purple-protocol-sametime-dbg
Section: devel
Architecture: any
Depends: purple-protocol-sametime (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Sametime prpl

Package: purple-protocol-bonjour
Replaces: pidgin-protocol-bonjour
Section: user/instantmessaging
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
XB-Maemo-Display-Name: Bonjour Support
Description: Pidgin and Telepathy Bonjour Support

Package: purple-protocol-bonjour-dbg
Section: devel
Architecture: any
Depends: purple-protocol-bonjour (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Bonjour prpl

Package: pidgin-sounds
Section: user/instantmessaging
Architecture: all
Description: Pidgin Sounds
XB-Maemo-Display-Name: Pidgin Sounds

Package: pidgin-sounds-old
Section: user/instantmessaging
Architecture: all
Description: Old School Gaim 1.5.0 Sounds
XB-Maemo-Display-Name: Old School Gaim 1.5.0 Sounds

Package: pidgin-buddy-icons-qq
Section: user/instantmessaging
Architecture: all
Description: Pidgin QQ Buddy Icons
XB-Maemo-Display-Name: Pidgin QQ Buddy Icons

Package: pidgin-l10n
Section: user/instantmessaging
Architecture: all
Description: Pidgin Localization
XB-Maemo-Display-Name: Pidgin Language Support

Package: pidgin-emotes-default
Section: user/instantmessaging
Architecture: all
Description: Pidgin Default Emotes
XB-Maemo-Display-Name: Pidgin Default Smiley Theme

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PREFIX=/usr

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if enabled. 
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	LAUNCHER_CONFIGURE_SWITCH=--enable-maemo-launcher
	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
endif

config.status: configure
	echo -e '\033[7mtarget: config.status\033[0m'
	dh_testdir

	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--sysconfdir=/etc --prefix=$(PREFIX) \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-hildon \
		--enable-icd \
		$(LAUNCHER_CONFIGURE_SWITCH) \
		--enable-dbus \
		--disable-consoleui \
		--disable-doxygen \
		--disable-gnutls \
		--disable-perl \
		--disable-gevolution

configure:
	echo -e '\033[7mtarget: configure\033[0m'
	#inflate upstream and prepare
	#patches must be properly numbered for this to work
	#i.e., pidgin_[0-9][0-9][0-9]_<description>.diff
	./autogen.sh
#	autoreconf -s -i && glib-gettextize && aclocal

build: build-stamp
	echo -e '\033[7mtarget: build\033[0m'

build-stamp: config.status
	echo -e '\033[7mtarget: build-stamp\033[0m'
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	echo -e '\033[7mtarget: clean\033[0m'
	dh_testdir
	dh_testroot
	rm -f *-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean 

install: build install-stamp

install-stamp:
	echo -e '\033[7mtarget: install\033[0m'
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	echo -e '\033[7mMaking install\033[0m'
	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# 26x26 icon - the "scalable" icons is installed via make install
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
	cp $(CURDIR)/debian/package-icons/pidgin.png $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon

	# mandatory D-Bus service file
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	cp $(CURDIR)/debian/override-files/pidgin.service $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
endif

	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon
ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	cp $(CURDIR)/debian/override-files/pidgin.desktop $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon
else
	cat $(CURDIR)/debian/override-files/pidgin.desktop | grep -v 'X-Osso-Service' > $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon/pidgin.desktop
endif

	# Ship default values for some settings
	mkdir -p $(CURDIR)/debian/tmp/etc/purple
	cp $(CURDIR)/debian/override-files/prefs.xml $(CURDIR)/debian/tmp/etc/purple

	# Gaim 1.5 sounds
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin
	cp -a $(CURDIR)/debian/old-sounds $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old
	rm -rf $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old/.svn

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	echo -e '\033[7mtarget: binary-indep\033[0m'
# We have nothing to do by default.

clean-debian:
	echo -e '\033[7mtarget: clean-debian\033[0m'
	rm -rf \
		`ls -ld debian/* | grep '^d' | grep -vE 'package-icons|old-sounds|override-files|scripts|tmp' | awk '{print $$$$NF;}'` \
		debian/{*.{debhelper,substvars},files,pidgin.install}

# Build architecture-dependent files here.
binary-arch: build install clean-debian
	echo -e '\033[7mtarget: binary-arch\033[0m'

	$(CURDIR)/debian/scripts/add-icons-to-control

	# Remove the dreaded .la files
	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f

	# Grab only those .install.in globs that actually match
	echo -n '' > $(CURDIR)/debian/pidgin.install
	cat $(CURDIR)/debian/pidgin.install.in | while read; do \
		if eval "ls $(CURDIR)/debian/tmp/$$REPLY" > /dev/null; then \
			echo $$REPLY >> $(CURDIR)/debian/pidgin.install; \
		fi; \
	done

	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp --fail-missing -v
	dh_gconf
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	for dbg in `cat $(CURDIR)/debian/control | grep '^Package:' | grep --regex='-dbg$$' | awk '{print $$2;}' | sed 's/-dbg$$//'`; do \
		echo dh_strip --dbg-package=$$dbg; \
		dh_strip --dbg-package=$$dbg; \
	done
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs

	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$)/\1 || true/' > $$script.new && \
			mv $$script.new $$script; \
	done

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(LAUNCHER_DEPENDS)
	dh_md5sums

	dh_builddeb

	# remove icons added earlier
	cat $(CURDIR)/debian/control | grep -v '^XB-Maemo-Icon-26: ' > $(CURDIR)/debian/control.no-icons && \
		mv $(CURDIR)/debian/control.no-icons $(CURDIR)/debian/control

binary: binary-indep binary-arch
	echo -e '\033[7mtarget: binary\033[0m'

squeaky: clean clean-debian
	rm -rf \
		debian/tmp \
		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
		../pidgin_*.* \
		`find | grep 'Makefile\.in$$'` \
		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs

.PHONY: build clean binary-indep binary-arch binary install squeaky

## pidgin 2.3.1-0nix0

=== debian/changelog ===
pidgin (2.3.1-0nix0) unstable; urgency=low

  * Moved up to 2.3.1
  * Added dh_pidgin to pidgin-dev package
  * Switched to native Avahi for Bonjour
  * Removed autocap hint for password and username entries

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun,  9 Dec 2007 14:50:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,9 @@
 	# Add here commands to compile the package.
 	$(MAKE)
 
+	pod2man $(CURDIR)/debian/dh_pidgin > $(CURDIR)/debian/dh_pidgin.1 || \
+		rm -f $(CURDIR)/debian/dh_pidgin.1
+
 	touch build-stamp
 
 clean:
@@ -85,7 +88,8 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
-	dh_clean 
+	dh_clean
+	rm -f $(CURDIR)/debian/dh_pidgin.1
 
 install: build install-stamp
 
@@ -126,6 +130,32 @@
 	cp -a $(CURDIR)/debian/old-sounds $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old
 	rm -rf $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old/.svn
 
+	# dh_pidgin
+	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/bin
+	cp $(CURDIR)/debian/dh_pidgin $(CURDIR)/debian/tmp$(PREFIX)/bin
+	if test -f $(CURDIR)/debian/dh_pidgin.1; then \
+		mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/man/man1; \
+		cp $(CURDIR)/debian/dh_pidgin.1 $(CURDIR)/debian/tmp$(PREFIX)/share/man/man1; \
+	fi
+
+	# Move icons to a Hildon-friendly place
+	for icon_dir in $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/* ; do \
+		if test -d $$icon_dir/apps; then \
+			echo mv $$icon_dir/apps $$icon_dir/hildon; \
+			mv $$icon_dir/apps $$icon_dir/hildon; \
+		else \
+			echo $$icon_dir/apps DNE; \
+		fi ; \
+	done
+	if test -f $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/48x48/hildon/pidgin.png; then \
+		mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/scalable/hildon; \
+		cp $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/48x48/hildon/pidgin.png \
+			$(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/scalable/hildon; \
+	fi
+
+	# Remove the dreaded .la files
+	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f
+
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -144,9 +174,6 @@
 	echo -e '\033[7mtarget: binary-arch\033[0m'
 
 	$(CURDIR)/debian/scripts/add-icons-to-control
-
-	# Remove the dreaded .la files
-	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f
 
 	# Grab only those .install.in globs that actually match
 	echo -n '' > $(CURDIR)/debian/pidgin.install

## pidgin 2.3.1-0nix1

=== debian/changelog ===
pidgin (2.3.1-0nix1) unstable; urgency=low

  * Re-packaged to fix Chinook X86 release

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 15 Dec 2007 13:21:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/communication
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-compat-howl-dev, sharutils
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev
 Standards-Version: 3.6.0
 
 Package: pidgin
@@ -30,7 +30,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, libnspr4, libnss3
 Recommends: ca-certificates
-Replaces: pidgin-protocol-aim-icq, pidgin-protocol-xmpp, pidgin (<= 2.2.2-0nix0)
+Replaces: pidgin (<= 2.2.2-0nix0), pidgin-protocol-aim-icq, pidgin-protocol-gadugadu, pidgin-protocol-irc, pidgin-protocol-msn, pidgin-protocol-novell-groupwise, pidgin-protocol-qq, pidgin-protocol-simple, pidgin-protocol-xmpp, pidgin-protocol-yahoo, pidgin-protocol-zephyr
 Suggests: ${shlibs:Suggests}
 Description: multi-protocol instant messaging library

## pidgin 2.3.1-1nix0

=== debian/changelog ===
pidgin (2.3.1-1nix0) unstable; urgency=low

  * Add Pidgin settings stored in /home/user/.purple to the "Settings" category in OSSO Backup

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 16 Dec 2007 16:04:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -156,6 +156,17 @@
 	# Remove the dreaded .la files
 	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f
 
+	# Add osso-backup script
+	mkdir -p $(CURDIR)/debian/tmp/etc/osso-backup/applications
+	cp $(CURDIR)/debian/pidgin.conf $(CURDIR)/debian/tmp/etc/osso-backup/applications
+
+	# Include author lists in copyright file
+	sed -e '/@PIDGIN_COPYRIGHT@/r COPYRIGHT' \
+		-e '/@PIDGIN_COPYRIGHT@/d' \
+		-e '/@OSCAR_AUTHORS@/r libpurple/protocols/oscar/AUTHORS' \
+		-e '/@OSCAR_AUTHORS@/d' \
+	debian/copyright.in > debian/copyright
+
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -167,7 +178,7 @@
 	echo -e '\033[7mtarget: clean-debian\033[0m'
 	rm -rf \
 		`ls -ld debian/* | grep '^d' | grep -vE 'package-icons|old-sounds|override-files|scripts|tmp' | awk '{print $$$$NF;}'` \
-		debian/{*.{debhelper,substvars},files,pidgin.install}
+		debian/{*.{debhelper,substvars},files,pidgin.install,copyright}
 
 # Build architecture-dependent files here.
 binary-arch: build install clean-debian
@@ -240,4 +251,3 @@
 		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
 		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs
 
-.PHONY: build clean binary-indep binary-arch binary install squeaky

## pidgin 2.4.3-0nix0

=== debian/changelog ===
pidgin (2.4.3-0nix0) unstable; urgency=low

  * Moved up to 2.4.3

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 09 Jul 2008 23:04:57 +0300

pidgin (2.4.0-0nix0) unstable; urgency=low

  * Moved up to 2.4.0
  * Replaced dialog hint and show-with-parent stuff with new transience hack
  * Made room list dialog usable via event drains during room retrieval and sorting

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 31 Dec 2007 00:13:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+version=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/-.*//')
+major=$(shell echo ${version} | cut -d. -f1-2)
+micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
+nextmicro=$(shell expr ${micro} + 1)
 
 CFLAGS = -Wall -g
 
@@ -55,6 +59,11 @@
 		--disable-doxygen \
 		--disable-gnutls \
 		--disable-perl \
+		--disable-screensaver \
+		--disable-startup-notification \
+		--disable-gtkspell \
+		--disable-nm \
+		--disable-tcl \
 		--disable-gevolution
 
 configure:
@@ -220,7 +229,7 @@
 	dh_fixperms
 #	dh_perl
 #	dh_python
-	dh_makeshlibs
+	dh_makeshlibs -V "libpurple0 (>= $(major).0)"
 
 	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
 	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
@@ -242,12 +251,3 @@
 binary: binary-indep binary-arch
 	echo -e '\033[7mtarget: binary\033[0m'
 
-squeaky: clean clean-debian
-	rm -rf \
-		debian/tmp \
-		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
-		../pidgin_*.* \
-		`find | grep 'Makefile\.in$$'` \
-		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
-		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs
-

## pidgin 2.5.1-0nix0

=== debian/changelog ===
pidgin (2.5.1-0nix0) unstable; urgency=low

  * Moved up to 2.5.1

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 28 Sep 2008 08:51:58 +0300

=== debian/control ===
--- 
+++ 
@@ -88,12 +88,6 @@
 Description: Old School Gaim 1.5.0 Sounds
 XB-Maemo-Display-Name: Old School Gaim 1.5.0 Sounds
 
-Package: pidgin-buddy-icons-qq
-Section: user/instantmessaging
-Architecture: all
-Description: Pidgin QQ Buddy Icons
-XB-Maemo-Display-Name: Pidgin QQ Buddy Icons
-
 Package: pidgin-l10n
 Section: user/instantmessaging
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
 nextmicro=$(shell expr ${micro} + 1)
 
+
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -40,12 +41,7 @@
 	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
 endif
 
-config.status: configure
-	echo -e '\033[7mtarget: config.status\033[0m'
-	dh_testdir
-
-	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure \
+CONFIGURE_SWITCHES = \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--sysconfdir=/etc --prefix=$(PREFIX) \
@@ -68,16 +64,15 @@
 
 configure:
 	echo -e '\033[7mtarget: configure\033[0m'
-	#inflate upstream and prepare
-	#patches must be properly numbered for this to work
-	#i.e., pidgin_[0-9][0-9][0-9]_<description>.diff
-	./autogen.sh
+	dh_testdir
+
+	CFLAGS="$(CFLAGS)" SBOX_DEFAULT_AUTOMAKE="1.9" ./autogen.sh $(CONFIGURE_SWITCHES)
 #	autoreconf -s -i && glib-gettextize && aclocal
 
 build: build-stamp
 	echo -e '\033[7mtarget: build\033[0m'
 
-build-stamp: config.status
+build-stamp: configure
 	echo -e '\033[7mtarget: build-stamp\033[0m'
 	dh_testdir
 
@@ -193,7 +188,9 @@
 binary-arch: build install clean-debian
 	echo -e '\033[7mtarget: binary-arch\033[0m'
 
-	$(CURDIR)/debian/scripts/add-icons-to-control
+	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
+		$(CURDIR)/debian/scripts/add-icons-to-control; \
+	fi
 
 	# Grab only those .install.in globs that actually match
 	echo -n '' > $(CURDIR)/debian/pidgin.install
@@ -245,9 +242,16 @@
 	dh_builddeb
 
 	# remove icons added earlier
-	cat $(CURDIR)/debian/control | grep -v '^XB-Maemo-Icon-26: ' > $(CURDIR)/debian/control.no-icons && \
-		mv $(CURDIR)/debian/control.no-icons $(CURDIR)/debian/control
+	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
+		$(CURDIR)/debian/scripts/add-icons-to-control --remove; \
+	fi
 
 binary: binary-indep binary-arch
 	echo -e '\033[7mtarget: binary\033[0m'
 
+squeaky: clean clean-debian
+	rm -rf \
+		debian/tmp \
+		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
+		../pidgin_*.* \
+		`find | grep 'Makefile\.in$$'` \

## pidgin 2.5.1-0nix2

=== debian/changelog ===
pidgin (2.5.1-0nix2) unstable; urgency=low

  * Forgot to merge maemo-launcher code

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon,  6 Oct 2008 13:03:01 +0300

pidgin (2.5.1-0nix1) unstable; urgency=low

  * Updated package icons
  * Fixed away status icons in the saved statuses combo
  * Added --with-python=/usr/bin/python2.5 and python2.5 dependency
    in order to make D-Bus work

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat,  4 Oct 2008 21:17:55 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/communication
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev, python2.5
 Standards-Version: 3.6.0
 
 Package: pidgin
@@ -53,7 +53,7 @@
 Section: user/instantmessaging
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
-XB-Maemo-Display-Name: Sametime Support
+XB-Maemo-Display-Name: Pidgin Sametime Support
 Description: Pidgin and Telepathy Sametime Support
 
 Package: purple-protocol-sametime-dbg
@@ -67,7 +67,7 @@
 Section: user/instantmessaging
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
-XB-Maemo-Display-Name: Bonjour Support
+XB-Maemo-Display-Name: Pidgin Bonjour Support
 Description: Pidgin and Telepathy Bonjour Support
 
 Package: purple-protocol-bonjour-dbg
@@ -86,7 +86,7 @@
 Section: user/instantmessaging
 Architecture: all
 Description: Old School Gaim 1.5.0 Sounds
-XB-Maemo-Display-Name: Old School Gaim 1.5.0 Sounds
+XB-Maemo-Display-Name: Pidgin Old School Gaim 1.5.0 Sounds
 
 Package: pidgin-l10n
 Section: user/instantmessaging

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 endif
 
 CONFIGURE_SWITCHES = \
+		--with-python=/usr/bin/python2.5 \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--sysconfdir=/etc --prefix=$(PREFIX) \
@@ -254,4 +255,3 @@
 		debian/tmp \
 		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
 		../pidgin_*.* \
-		`find | grep 'Makefile\.in$$'` \

## pidgin 2.5.8-0jonny1

=== debian/changelog ===
pidgin (2.5.8-0jonny1) diablo; urgency=low

  * debian/control: Added libpurple0 Depends on gconf2.

 -- Jonny Lamb <jonny.lamb@collabora.co.uk>  Tue, 04 Aug 2009 10:07:53 +0100

pidgin (2.5.8-0jonny0) diablo; urgency=low

  * New upstream release.
  * Removed disabling deprecated functions.
  * Don't install ssl-gnutls.so as it's not built.
  * Also install small emotes.
  * debian/rules: Fix typo in sed statement.

 -- Jonny Lamb <jonny.lamb@collabora.co.uk>  Mon, 13 Jul 2009 16:17:27 +0100

## pidgin 2.5.8-0maemo0

=== debian/changelog ===
pidgin (2.5.8-0maemo0) fremantle; urgency=low

  * New upstream release.
  * Removed disabling deprecated functions.
  * Don't install ssl-gnutls.so
  * Also install small emotes.
  * debian/rules: Fix typo in sed statement.
  * debian/control:
    + Added libmeanwhile-dev build-dep.
    + Added gconf2 dependency on libpurple0.
  * Hacked around nss's broken pkg-config file.

 -- Jonny Lamb <jonny.lamb@collabora.co.uk>  Mon, 13 Jul 2009 16:17:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/communication
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev, python2.5
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, python2.5, libmeanwhile-dev
 Standards-Version: 3.6.0
 
 Package: pidgin
@@ -28,7 +28,7 @@
 Package: libpurple0
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, libnspr4, libnss3
+Depends: ${shlibs:Depends}, libnspr4, libnss3, gconf2
 Recommends: ca-certificates
 Replaces: pidgin (<= 2.2.2-0nix0), pidgin-protocol-aim-icq, pidgin-protocol-gadugadu, pidgin-protocol-irc, pidgin-protocol-msn, pidgin-protocol-novell-groupwise, pidgin-protocol-qq, pidgin-protocol-simple, pidgin-protocol-xmpp, pidgin-protocol-yahoo, pidgin-protocol-zephyr
 Suggests: ${shlibs:Suggests}

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,6 @@
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--enable-hildon \
-		--enable-icd \
 		$(LAUNCHER_CONFIGURE_SWITCH) \
 		--enable-dbus \
 		--disable-consoleui \
@@ -95,6 +94,7 @@
 	-$(MAKE) distclean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
+	rm -f configure
 
 install: build install-stamp
 
@@ -231,7 +231,7 @@
 
 	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
 	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
-		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$)/\1 || true/' > $$script.new && \
+		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*)/\1 || true/' > $$script.new && \
 			mv $$script.new $$script; \
 	done

## pidgin 2.6.2-0nix0

=== debian/changelog ===
pidgin (2.6.2-0nix0) unstable; urgency=low

  * Started porting new version

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 31 Aug 2009 15:17:22 +0300

pidgin (2.5.1-2nix0) unstable; urgency=low

  * Restored "Close" button for "About" dialog
  * Made more windows transient

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 11 Oct 2008 21:40:27 +0300

pidgin (2.5.1-1nix1) unstable; urgency=low

  * Moved Section from user/instantmessaging to user/communication
  * Fixes: GB#2152

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon,  6 Oct 2008 13:03:01 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pidgin
-Section: user/communication
+Section: user/network
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, python2.5, libmeanwhile-dev
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev, python2.5, maemo-launcher-dev, debhelper-maemo-package-icons
 Standards-Version: 3.6.0
 
 Package: pidgin
-Section: user/instantmessaging
+Section: user/network
 Architecture: any
 Depends: ${shlibs:Depends}, maemo-launcher, maemo-select-menu-location
 Description: Pidgin Internet Messenger for Maemo-based Internet Tablet
@@ -28,7 +28,7 @@
 Package: libpurple0
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, libnspr4, libnss3, gconf2
+Depends: ${shlibs:Depends}, libnspr4, libnss3
 Recommends: ca-certificates
 Replaces: pidgin (<= 2.2.2-0nix0), pidgin-protocol-aim-icq, pidgin-protocol-gadugadu, pidgin-protocol-irc, pidgin-protocol-msn, pidgin-protocol-novell-groupwise, pidgin-protocol-qq, pidgin-protocol-simple, pidgin-protocol-xmpp, pidgin-protocol-yahoo, pidgin-protocol-zephyr
 Suggests: ${shlibs:Suggests}
@@ -50,7 +50,7 @@
 
 Package: purple-protocol-sametime
 Replaces: pidgin-protocol-sametime
-Section: user/instantmessaging
+Section: user/network
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
 XB-Maemo-Display-Name: Pidgin Sametime Support
@@ -64,7 +64,7 @@
 
 Package: purple-protocol-bonjour
 Replaces: pidgin-protocol-bonjour
-Section: user/instantmessaging
+Section: user/network
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
 XB-Maemo-Display-Name: Pidgin Bonjour Support
@@ -77,25 +77,19 @@
 Description: Debugging symbols for Bonjour prpl
 
 Package: pidgin-sounds
-Section: user/instantmessaging
+Section: user/network
 Architecture: all
 Description: Pidgin Sounds
 XB-Maemo-Display-Name: Pidgin Sounds
 
-Package: pidgin-sounds-old
-Section: user/instantmessaging
-Architecture: all
-Description: Old School Gaim 1.5.0 Sounds
-XB-Maemo-Display-Name: Pidgin Old School Gaim 1.5.0 Sounds
-
 Package: pidgin-l10n
-Section: user/instantmessaging
+Section: user/network
 Architecture: all
 Description: Pidgin Localization
 XB-Maemo-Display-Name: Pidgin Language Support
 
 Package: pidgin-emotes-default
-Section: user/instantmessaging
+Section: user/network
 Architecture: all
 Description: Pidgin Default Emotes
 XB-Maemo-Display-Name: Pidgin Default Smiley Theme

=== debian/rules ===
--- 
+++ 
@@ -34,11 +34,6 @@
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
-endif
-
-ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
-	LAUNCHER_CONFIGURE_SWITCH=--enable-maemo-launcher
-	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
 endif
 
 CONFIGURE_SWITCHES = \
@@ -49,7 +44,7 @@
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--enable-hildon \
-		$(LAUNCHER_CONFIGURE_SWITCH) \
+		--enable-icd \
 		--enable-dbus \
 		--disable-consoleui \
 		--disable-doxygen \
@@ -60,7 +55,14 @@
 		--disable-gtkspell \
 		--disable-nm \
 		--disable-tcl \
+                --disable-vv \
+                --disable-idn \
 		--disable-gevolution
+
+ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+	CONFIGURE_SWITCHES += --enable-maemo-launcher
+	USE_MAEMO_LAUNCHER = true
+endif
 
 configure:
 	echo -e '\033[7mtarget: configure\033[0m'
@@ -94,7 +96,6 @@
 	-$(MAKE) distclean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
-	rm -f configure
 
 install: build install-stamp
 
@@ -111,7 +112,7 @@
 
 	# 26x26 icon - the "scalable" icons is installed via make install
 	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
-	cp $(CURDIR)/debian/package-icons/pidgin.png $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
+	cp $(CURDIR)/debian/pidgin.png $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
 
 	# mandatory D-Bus service file
 	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
@@ -129,11 +130,6 @@
 	# Ship default values for some settings
 	mkdir -p $(CURDIR)/debian/tmp/etc/purple
 	cp $(CURDIR)/debian/override-files/prefs.xml $(CURDIR)/debian/tmp/etc/purple
-
-	# Gaim 1.5 sounds
-	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin
-	cp -a $(CURDIR)/debian/old-sounds $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old
-	rm -rf $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old/.svn
 
 	# dh_pidgin
 	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/bin
@@ -182,17 +178,10 @@
 clean-debian:
 	echo -e '\033[7mtarget: clean-debian\033[0m'
 	rm -rf \
-		`ls -ld debian/* | grep '^d' | grep -vE 'package-icons|old-sounds|override-files|scripts|tmp' | awk '{print $$$$NF;}'` \
+		`ls -ld debian/* | grep '^d' | grep -vE 'override-files|scripts|tmp' | awk '{print $$$$NF;}'` \
 		debian/{*.{debhelper,substvars},files,pidgin.install,copyright}
 
-# Build architecture-dependent files here.
-binary-arch: build install clean-debian
-	echo -e '\033[7mtarget: binary-arch\033[0m'
-
-	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
-		$(CURDIR)/debian/scripts/add-icons-to-control; \
-	fi
-
+$(CURDIR)/debian/pidgin.install: $(CURDIR)/debian/pidgin.install.in
 	# Grab only those .install.in globs that actually match
 	echo -n '' > $(CURDIR)/debian/pidgin.install
 	cat $(CURDIR)/debian/pidgin.install.in | while read; do \
@@ -201,6 +190,11 @@
 		fi; \
 	done
 
+# Build architecture-dependent files here.
+binary-arch: build install clean-debian $(CURDIR)/debian/pidgin.install
+	echo -e '\033[7mtarget: binary-arch\033[0m'
+
+	dh_maemo_package_icons
 	dh_testdir
 	dh_testroot
 #	dh_installchangelogs ChangeLog
@@ -219,6 +213,9 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
+	if test "x$(USE_MAEMO_LAUNCHER)" = "xtrue"; then \
+	  dh_maemolauncher -v; \
+	fi
 	for dbg in `cat $(CURDIR)/debian/control | grep '^Package:' | grep --regex='-dbg$$' | awk '{print $$2;}' | sed 's/-dbg$$//'`; do \
 		echo dh_strip --dbg-package=$$dbg; \
 		dh_strip --dbg-package=$$dbg; \
@@ -231,7 +228,7 @@
 
 	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
 	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
-		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*)/\1 || true/' > $$script.new && \
+		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$$)/\1 || true/' > $$script.new && \
 			mv $$script.new $$script; \
 	done
 
@@ -239,13 +236,8 @@
 	dh_shlibdeps
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
-
 	dh_builddeb
-
-	# remove icons added earlier
-	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
-		$(CURDIR)/debian/scripts/add-icons-to-control --remove; \
-	fi
+	dh_maemo_package_icons -r
 
 binary: binary-indep binary-arch
 	echo -e '\033[7mtarget: binary\033[0m'
@@ -255,3 +247,8 @@
 		debian/tmp \
 		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
 		../pidgin_*.* \
+		`find | grep 'Makefile\.in$$'` \
+		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
+		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs
+
+.PHONY: build clean binary-indep binary-arch binary install squeaky

## pidgin 2.6.2-0nix1

=== debian/changelog ===
pidgin (2.6.2-0nix1) unstable; urgency=low

  * Forgot to override pidgin.desktop

 -- Gabriel Schulhof <nix@go-nix.ca>  Fri, 25 Sep 2009 22:36:59 +0300

## pidgin 2.6.2-1nix0

=== debian/changelog ===
pidgin (2.6.2-1nix0) unstable; urgency=low

  * Making it work on Fremantle
  * Introducing Hildon 2.2 widgets
  * Re-doing conditional compilation to accomodate everything from Bora to Fremantle

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 26 Oct 2009 19:18:03 +0200

pidgin (2.6.2-0nix2) unstable; urgency=low

  * Make sounds work on OS2007 by re-introducing the old hack, but only for OS2007
    (i.e., when HAVE_HILDON_1 is not defined)

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 30 Sep 2009 14:00:02 +0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/network
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev, python2.5, maemo-launcher-dev, debhelper-maemo-package-icons
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, libmeanwhile-dev, python2.5, maemo-launcher-dev, debhelper-maemo-package-icons
 Standards-Version: 3.6.0
 
 Package: pidgin
 Section: user/network
 Architecture: any
-Depends: ${shlibs:Depends}, maemo-launcher, maemo-select-menu-location
+Depends: ${shlibs:Depends}, maemo-launcher
 Description: Pidgin Internet Messenger for Maemo-based Internet Tablet
 XB-Maemo-Display-Name: Pidgin Internet Messenger

=== debian/rules ===
--- 
+++ 
@@ -93,7 +93,7 @@
 	rm -f *-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	-$(MAKE) clean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
 
@@ -243,6 +243,7 @@
 	echo -e '\033[7mtarget: binary\033[0m'
 
 squeaky: clean clean-debian
+	-$(MAKE) distclean
 	rm -rf \
 		debian/tmp \
 		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
